#include "benri.h"

void OutputDebugStringf(char* fmt, ...)
{
	char str[1024];	/* wvsprintf1024܂łΉĂȂ... */
	va_list vaargs;

	va_start(vaargs, fmt);
	wvsprintf(str, fmt, vaargs);
	va_end(vaargs);

	OutputDebugString(str);

	return;
}

void NotifyBox(char* fmt, ...)
{
	char str[1024];
	va_list vaargs;

	va_start(vaargs, fmt);
	wvsprintf(str, fmt, vaargs);
	va_end(vaargs);

	MessageBox(NULL, str, "DebugNotify", MB_OK);

	return;
}

BOOL IsPointInRect(LPPOINT pt, LPRECT rc)
{
	if(rc->left < pt->x &&
		rc->top < pt->y &&
		pt->x < rc->right &&
		pt->y < rc->bottom)
		return TRUE;
	else
		return FALSE;
}

void ShowLastError()
{
    LPTSTR lpBuffer;

    FormatMessage(
        FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM,
        NULL,
        GetLastError(),
        LANG_USER_DEFAULT,
//      MAKELANGID(LANG_NEUTRAL, SUBLANG_SYS_DEFAULT),
        (LPTSTR)&lpBuffer,
        0,
        NULL );
    MessageBox(NULL, lpBuffer, "<<<LastError>>>", MB_ICONHAND|MB_OK);
    LocalFree(lpBuffer);

	return;
}